aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorPeter Eisentraut <peter_e@gmx.net>2000-08-20 11:56:29 +0000
committerPeter Eisentraut <peter_e@gmx.net>2000-08-20 11:56:29 +0000
commita67343d67df5be1ab47749292f16c60fb76ce6d7 (patch)
treec3aa9098e681d8b584ebdbc2c57f1b0e357ca63a /src
parent9b3d66ecbd2656c79825569bceecceb42ef45d73 (diff)
downloadpostgresql-a67343d67df5be1ab47749292f16c60fb76ce6d7.tar.gz
postgresql-a67343d67df5be1ab47749292f16c60fb76ce6d7.zip
Substitute libdir into createlang as last resort so one doesn't have to set
PGLIB or use any option anymore.
Diffstat (limited to 'src')
-rw-r--r--src/bin/scripts/Makefile8
-rw-r--r--src/bin/scripts/createlang.sh10
2 files changed, 8 insertions, 10 deletions
diff --git a/src/bin/scripts/Makefile b/src/bin/scripts/Makefile
index c08382ffcc0..3b4f971cf79 100644
--- a/src/bin/scripts/Makefile
+++ b/src/bin/scripts/Makefile
@@ -4,7 +4,7 @@
#
# Copyright (c) 1994, Regents of the University of California
#
-# $Header: /cvsroot/pgsql/src/bin/scripts/Makefile,v 1.6 2000/06/28 05:09:37 tgl Exp $
+# $Header: /cvsroot/pgsql/src/bin/scripts/Makefile,v 1.7 2000/08/20 11:56:29 petere Exp $
#
#-------------------------------------------------------------------------
@@ -17,10 +17,12 @@ SCRIPTS := createdb dropdb createuser dropuser createlang droplang vacuumdb
all: $(SCRIPTS)
createlang: createlang.sh
- sed -e 's/__DLSUFFIX__/$(DLSUFFIX)/' $< > $@
+ sed -e 's:__DLSUFFIX__:$(DLSUFFIX):g' \
+ -e 's:__libdir__:$(libdir):g' \
+ $< > $@
install: all installdirs
- for i in $(SCRIPTS); do $(INSTALL_SCRIPT) $$i $(bindir); done
+ for i in $(SCRIPTS); do $(INSTALL_SCRIPT) $$i $(bindir) || exit; done
installdirs:
$(mkinstalldirs) $(bindir)
diff --git a/src/bin/scripts/createlang.sh b/src/bin/scripts/createlang.sh
index daace97a449..46e503baf49 100644
--- a/src/bin/scripts/createlang.sh
+++ b/src/bin/scripts/createlang.sh
@@ -8,7 +8,7 @@
#
#
# IDENTIFICATION
-# $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createlang.sh,v 1.13 2000/07/19 11:53:02 wieck Exp $
+# $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createlang.sh,v 1.14 2000/08/20 11:56:29 petere Exp $
#
#-------------------------------------------------------------------------
@@ -129,7 +129,7 @@ if [ "$usage" ]; then
echo " -U, --username=USERNAME Username to connect as"
echo " -W, --password Prompt for password"
echo " -d, --dbname=DBNAME Database to install language in"
- echo " -L, --pglib=PGLIB Find language interpreter in directory PGLIB"
+ echo " -L, --pglib=DIRECTORY Find language interpreter file in DIRECTORY"
echo " -l, --list Show a list of currently installed languages"
echo
echo "Report bugs to <pgsql-bugs@postgresql.org>."
@@ -160,11 +160,7 @@ fi
# Check that we have PGLIB
# ----------
if [ -z "$PGLIB" ]; then
- echo "$CMDNAME: missing required argument PGLIB directory"
- echo "(This is the directory where the interpreter for the procedural"
- echo "language is stored. Traditionally, these are installed in whatever"
- echo "'lib' directory was specified at configure time.)"
- exit 1
+ PGLIB='__libdir__'
fi
# ----------